#declare BaseWood =
texture {
	pigment {
	    wood
	    turbulence 0.05
	    scale <0.2, 0.2, 1>
	    color_map {
     	   [0.0, 0.1 color rgb <0.42, 0.26, 0.15>
          	        color rgb <0.42, 0.26, 0.15>]
	        [0.1, 0.9 color rgb <0.42, 0.26, 0.15>
     	             color rgb <0.52, 0.37, 0.26>]
	        [0.9, 1.0 color rgb <0.52, 0.37, 0.26>
     			color rgb <0.52, 0.37, 0.26>]
	   	}

		rotate -y*90
		warp {
		    black_hole <0,0,-3>, 3
		    inverse
		}
		warp {
		    black_hole <5,0,0>, 3
		    inverse
		}

		}//end pigment

	finish { reflection .1 phong .5 diffuse .55 }

	scale .5
}

#declare Steel =
texture {
	pigment { rgb<0.90,0.91,0.98> }
	finish {
		metallic
		ambient 0.2
		diffuse 0.65
		brilliance 5.8
		reflection 0.1
		phong 0.75
		phong_size 80
	}
}

#declare Lead =
texture {
	pigment { rgb<0.77,0.78,0.85> }
	finish {
		metallic
		ambient 0.2
		diffuse 0.6
		brilliance 5
		phong 0.5
		phong_size 80
	}
}

#declare Cork =
texture {
    pigment {
        granite
        color_map {
            [0.00  color rgb <.697059, .214706, .214706> ]
            [0.40  color rgb <.697059, .214706, .214706> ]
            [0.40  color rgb <.697059, .214706, .214706> ]
		  [0.65  color rgb <.858824, .57647, .439216> ]
		  [1.00  color rgb <.858824, .57647, .439216> ]
        }
	   frequency 8
    }
	normal {
		granite .5
	}
     finish{
         specular 0.1
         roughness 0.5
	    crand .2
     }
     scale <.25,.4,.25>
}

#declare PaperTexture =
texture {
	pigment { rgb<.95, .95, .95> }
	finish { reflection 0 phong 0 diffuse .7 }

}

#declare Formica1 =
texture {  //a patterned formica surface
	pigment {
		granite
		color_map {
		[ 0 rgb<.85,.85,.85> ]
		[ .5 rgb<.85,.85,.85> ]
		[ .5 rgb<.85,.85,.85> ]
		[ .51 rgb<0,0,1> ]
		[ .52, rgb<.85,.85,.85> ]
		[ .9 rgb<.85,.85,.85> ]
		[ .9 rgb<.85,.85,.85> ]
		[ .91 rgb<1,0,0> ]
		[ .92 rgb<.85,.85,.85> ]
		[ 1 rgb<.85,.85,.85> ]
		}
	}

	finish { reflection .05 phong .5 diffuse .6 }
}


#declare White_Marble =
texture {
	pigment {
		marble
		color_map {
		[ 0.0 rgb<.99,1,1> ]
		[ 0.925 rgb<.95, .98,.97> ]
		[ 0.95 rgb<.75, .85, .80> ]
		[ 1.0 rgb< .5, .6, .55> ]
		}
		turbulence .75
	}

	scale <1, 1.5, 1>
	rotate <0,0,42>
}
texture {
	pigment {
		bozo
		color_map {
		[ 0 rgbt<.95, .98, .97, .85> ]
		[ 1 rgbt<.99,1,1,.85> ]
		}
	}
	finish {
		reflection .01 phong .2 diffuse .6
	}
}


#declare Black_Marble =
texture {
	pigment {
		marble
		color_map {
		[ 0.0 rgb<.05,.05,.05> ]
		[ 0.925 rgb<.05, .05,.05> ]
		[ 0.95 rgb<.25, .15, .20> ]
		[ 1.0 rgb< .5, .4, .45> ]
		}
		turbulence .75
	}
	finish {
		reflection .05 phong .2 diffuse .6
	}
	scale <1, 1.5, 1>
	rotate <0,0,42>
}

#declare Chrome =
texture {
    pigment { rgb<0.66,0.66,0.66> }
    finish {
        ambient 0.3
        diffuse 0.75
        reflection 0.25
        brilliance 8
        specular 0.8
        roughness 0.1
    }
}

#declare Glass =
texture { //the display case glass
	pigment { //transmittant glass, rather than filtered, so we will
	          //have less interference with the display within
		rgbt<1,1,1, .75>
	}
	finish {
		specular 1
		roughness 0.001
	     ambient 0
	     diffuse 0
	     reflection 0.075
	     refraction 1
     	ior 1.5
	}
}

#declare Sandstone =
texture {
    pigment {
        granite
        color_map {
            [0.00  color rgb <.897059, .714706, .714706> ]
            [0.40  color rgb <.897059, .714706, .714706> ]
            [0.40  color rgb <.997059, .814706, 0.000 > ]
		  [0.75  color rgb <.958824, .87647, .739216> ]
		  [1.00  color rgb <.958824, .87647, .739216> ]
        }
	   frequency 8
    }
	normal {
		granite 1
	}
	finish { diffuse .45 }
     scale .5
}

#declare Bronze =
texture {
    pigment { rgb<0.55,0.47,0.14> }
    finish {
        ambient 0.3
        diffuse 0.75
        reflection 0.25
        brilliance 8
        specular 0.8
        roughness 0.1
    }
}

